if Gem.loaded_specs.key?('crud')
  Rails.application.config.to_prepare do
    require 'crud'

    # Code extensions
    module Crud
    end

    # Initialisation
    Crud.setup do |config|
      # Set model path
      config.model_path << File.join(PaymentOrchestration::Engine.root, 'app', 'models')

      # Custom fields
      # config.custom_fields << {
      #   class: 'PaymentOrchestration::AssetData',
      #   only: [:index],
      #   column_name: 'data',
      #   column_replacement: true,
      #   partial: 'payment_orchestration/partials/uri_preview', record_data_parameter: 'asset_data',
      #   additional_partial_parameters: { size: '50x50' }
      # }

      # config.custom_fields << {
      #   class: 'PaymentOrchestration::AssetData',
      #   only: [:show],
      #   column_name: 'data',
      #   column_replacement: true,
      #   partial: 'payment_orchestration/partials/uri_preview', record_data_parameter: 'asset_data',
      #   additional_partial_parameters: { size: '100x100' }
      # }

      # config.custom_fields << {
      #   class: 'PaymentOrchestration::AssetData',
      #   only: [:show],
      #   global: true,
      #   partial: 'payment_orchestration/partials/scaling_links', record_data_parameter: 'asset_data'
      # }

      # config.column_settings << {
      #   class: 'PaymentOrchestration::AssetData',
      #   hidden_fields: [:data, :size, :mime_type],
      #   only: [:new]
      # }

      # config.column_settings << {
      #   class: 'PaymentOrchestration::AssetData',
      #   hidden_fields: [:data, :size, :mime_type],
      #   only: [:edit]
      # }

      # config.custom_fields << {
      #   class: 'PaymentOrchestration::AssetData',
      #   only: [:new, :edit],
      #   column_name: 'filename',
      #   column_replacement: true,
      #   partial: 'payment_orchestration/partials/file_upload_form', record_data_parameter: 'asset_data',
      #   additional_partial_parameters: { size: '100x100' }
      # }
    end

  end
end
