module PaymentOrchestration
  class PaymentGateway < ApplicationRecord
    def initialize(options = {})
      @options = options
    end

    def process(transaction)
      raise NotImplementedError, "Subclass must implement abstract method 'process'"
    end
  end
end
