module PaymentOrchestration
  module PaymentGateway
    class PayPal < PaymentOrchestration::PaymentGateway
      def process(transaction)
        {
          success: true,
          reference: SecureRandom.hex(10),
          success_code: 'PAYPAL_SUCCESS'
        }
      end
    end
  end
end
