module PaymentOrchestration
  module PaymentGateway
    class Stripe < PaymentOrchestration::PaymentGateway
      def process(transaction)
        {
          success: true,
          reference: SecureRandom.hex(10),
          success_code: "STRIPE_SUCCESS"
        }
      end
    end
  end
end
