PaymentOrchestration::Engine.routes.draw do
  get "dashboard/index"

  get  "orchestrator/start_payment", as: :start_payment
  get  "orchestrator/get_payment_method", as: :get_payment_method
  post "orchestrator/got_payment_method", as: :got_payment_method
  get  "orchestrator/get_details_for_payment_method", as: :get_details_for_payment_method
  post "orchestrator/got_details_for_payment_method", as: :got_details_for_payment_method
  get  "orchestrator/show_transaction_status", as: :show_transaction_status

  resources :transactions
  resources :payment_details
  resources :payments

  root to: "dashboard#index"
end
